libvisio::VSDShape Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDShape Class Reference

`#include <VSDStencils.h>`

## Public Member Functions
| VSDShape ()
| VSDShape (const VSDShape &shape)
| ~VSDShape ()
VSDShape & | operator= (const VSDShape &shape)
void | clear ()

## Public Attributes
std::map< unsigned, VSDGeometryList > | m_geometries
VSDShapeList | m_shapeList
VSDFieldList | m_fields
ForeignData * | m_foreign
unsigned | m_parent
unsigned | m_masterPage
unsigned | m_masterShape
unsigned | m_shapeId
unsigned | m_lineStyleId
unsigned | m_fillStyleId
unsigned | m_textStyleId
VSDOptionalLineStyle | m_lineStyle
VSDOptionalFillStyle | m_fillStyle
VSDOptionalTextBlockStyle | m_textBlockStyle
VSDOptionalCharStyle | m_charStyle
VSDOptionalThemeReference | m_themeRef
VSDCharacterList | m_charList
VSDOptionalParaStyle | m_paraStyle
VSDParagraphList | m_paraList
std::map< unsigned, VSDTabSet > | m_tabSets
librevenge::RVNGBinaryData | m_text
std::map< unsigned, VSDName > | m_names
TextFormat | m_textFormat
std::map< unsigned, NURBSData > | m_nurbsData
std::map< unsigned, PolylineData > | m_polylineData
XForm | m_xform
XForm * | m_txtxform
XForm1D * | m_xform1d
VSDMisc | m_misc
VSDName | m_layerMem

## Constructor & Destructor Documentation

## § VSDShape() [1/2]

libvisio::VSDShape::VSDShape | ( |  | ) |

## § VSDShape() [2/2]

libvisio::VSDShape::VSDShape | ( | const VSDShape & | shape | ) |

## § ~VSDShape()

libvisio::VSDShape::~VSDShape | ( |  | ) |

## Member Function Documentation

## § clear()

void libvisio::VSDShape::clear | ( |  | ) |

Referenced by libvisio::VSDParser::_handleLevelChange(), libvisio::VDXParser::processXmlNode(), libvisio::VSDXParser::processXmlNode(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), and ~VSDShape().

## § operator=()

libvisio::VSDShape & libvisio::VSDShape::operator= | ( | const VSDShape & | shape | ) |

## Member Data Documentation

## § m_charList

VSDCharacterList libvisio::VSDShape::m_charList

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSD6Parser::readCharIX(), libvisio::VSD5Parser::readCharIX(), libvisio::VSDParser::readCharIX(), libvisio::VSDXMLParserBase::readCharIX(), libvisio::VSDParser::readCharList(), libvisio::VSDXMLParserBase::readShape(), and libvisio::VSDXMLParserBase::readText().

## § m_charStyle

VSDOptionalCharStyle libvisio::VSDShape::m_charStyle

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), operator=(), libvisio::VSD6Parser::readCharIX(), libvisio::VSD5Parser::readCharIX(), libvisio::VSDParser::readCharIX(), libvisio::VSDXMLParserBase::readCharIX(), and libvisio::VSDXMLParserBase::readText().

## § m_fields

VSDFieldList libvisio::VSDShape::m_fields

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), operator=(), libvisio::VSDParser::readFieldList(), libvisio::VSD6Parser::readTextField(), libvisio::VSD5Parser::readTextField(), and libvisio::VSDParser::readTextField().

## § m_fillStyle

VSDOptionalFillStyle libvisio::VSDShape::m_fillStyle

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), operator=(), libvisio::VSD6Parser::readFillAndShadow(), libvisio::VSD5Parser::readFillAndShadow(), libvisio::VDXParser::readFillAndShadow(), libvisio::VSDParser::readFillAndShadow(), libvisio::VSDXParser::readShapeProperties(), and libvisio::VSDXParser::readStyleProperties().

## § m_fillStyleId

unsigned libvisio::VSDShape::m_fillStyleId

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), and libvisio::VSDXMLParserBase::readShape().

## § m_foreign

ForeignData* libvisio::VSDShape::m_foreign

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), libvisio::VDXParser::getBinaryData(), libvisio::VSDXParser::getBinaryData(), libvisio::VSDParser::handleStream(), operator=(), libvisio::VSDParser::readForeignData(), libvisio::VSDXMLParserBase::readForeignData(), libvisio::VSDParser::readForeignDataType(), libvisio::VDXParser::readForeignInfo(), libvisio::VSDParser::readOLEData(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), and libvisio::VSDXParser::readShapeProperties().

## § m_geometries

std::map<unsigned, VSDGeometryList> libvisio::VSDShape::m_geometries

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), libvisio::VSDParser::_handleLevelChange(), libvisio::VSDContentCollector::_handleLevelChange(), clear(), libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectPolylineTo(), operator=(), libvisio::VSDXMLParserBase::readGeometry(), libvisio::VSD5Parser::readGeomList(), libvisio::VSDParser::readGeomList(), and libvisio::VSDXMLParserBase::readShape().

## § m_layerMem

VSDName libvisio::VSDShape::m_layerMem

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSD6Parser::readLayerMem(), libvisio::VDXParser::readLayerMem(), libvisio::VSDParser::readLayerMem(), and libvisio::VSDXParser::readShapeProperties().

## § m_lineStyle

VSDOptionalLineStyle libvisio::VSDShape::m_lineStyle

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), operator=(), libvisio::VSD5Parser::readLine(), libvisio::VDXParser::readLine(), libvisio::VSDParser::readLine(), libvisio::VSDXParser::readShapeProperties(), and libvisio::VSDXParser::readStyleProperties().

## § m_lineStyleId

unsigned libvisio::VSDShape::m_lineStyleId

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), and libvisio::VSDXMLParserBase::readShape().

## § m_masterPage

unsigned libvisio::VSDShape::m_masterPage

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), and libvisio::VSDXMLParserBase::readShape().

## § m_masterShape

unsigned libvisio::VSDShape::m_masterShape

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), and libvisio::VSDXMLParserBase::readShape().

## § m_misc

VSDMisc libvisio::VSDShape::m_misc

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VDXParser::readMisc(), libvisio::VSDParser::readMisc(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), and libvisio::VSDXParser::readShapeProperties().

## § m_names

std::map<unsigned, VSDName> libvisio::VSDShape::m_names

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), operator=(), libvisio::VSD6Parser::readName(), libvisio::VSDParser::readName(), and libvisio::VSDParser::readNameList().

## § m_nurbsData

std::map<unsigned, NURBSData> libvisio::VSDShape::m_nurbsData

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), libvisio::VSDContentCollector::_handleLevelChange(), clear(), libvisio::VSDContentCollector::collectNURBSTo(), operator=(), and libvisio::VSDParser::readShapeData().

## § m_paraList

VSDParagraphList libvisio::VSDShape::m_paraList

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSD6Parser::readParaIX(), libvisio::VSD5Parser::readParaIX(), libvisio::VSDParser::readParaIX(), libvisio::VSDXMLParserBase::readParaIX(), libvisio::VSDParser::readParaList(), libvisio::VSDXMLParserBase::readShape(), and libvisio::VSDXMLParserBase::readText().

## § m_paraStyle

VSDOptionalParaStyle libvisio::VSDShape::m_paraStyle

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), operator=(), libvisio::VSD6Parser::readParaIX(), libvisio::VSD5Parser::readParaIX(), libvisio::VSDParser::readParaIX(), libvisio::VSDXMLParserBase::readParaIX(), and libvisio::VSDXMLParserBase::readText().

## § m_parent

unsigned libvisio::VSDShape::m_parent

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), and libvisio::VSDXMLParserBase::readShape().

## § m_polylineData

std::map<unsigned, PolylineData> libvisio::VSDShape::m_polylineData

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), libvisio::VSDContentCollector::_handleLevelChange(), clear(), libvisio::VSDContentCollector::collectPolylineTo(), operator=(), and libvisio::VSDParser::readShapeData().

## § m_shapeId

unsigned libvisio::VSDShape::m_shapeId

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDParser::handleStream(), operator=(), libvisio::VDXParser::processXmlNode(), libvisio::VSDXParser::processXmlNode(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), and libvisio::VSDXMLParserBase::readShape().

## § m_shapeList

VSDShapeList libvisio::VSDShape::m_shapeList

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSDParser::readShapeId(), and libvisio::VSDParser::readShapeList().

## § m_tabSets

std::map<unsigned, VSDTabSet> libvisio::VSDShape::m_tabSets

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), libvisio::VSDXParser::readTabRow(), libvisio::VDXParser::readTabs(), libvisio::VSDXParser::readTabs(), libvisio::VSDParser::readTabsData(), and libvisio::VSDXMLParserBase::readText().

## § m_text

librevenge::RVNGBinaryData libvisio::VSDShape::m_text

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), libvisio::VSD6Parser::readText(), libvisio::VSDParser::readText(), and libvisio::VSDXMLParserBase::readText().

## § m_textBlockStyle

VSDOptionalTextBlockStyle libvisio::VSDShape::m_textBlockStyle

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), operator=(), libvisio::VSDXParser::readShapeProperties(), libvisio::VSDXParser::readStyleProperties(), libvisio::VSD5Parser::readTextBlock(), libvisio::VDXParser::readTextBlock(), and libvisio::VSDParser::readTextBlock().

## § m_textFormat

TextFormat libvisio::VSDShape::m_textFormat

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), libvisio::VSD6Parser::readText(), libvisio::VSDParser::readText(), and libvisio::VSDXMLParserBase::readText().

## § m_textStyleId

unsigned libvisio::VSDShape::m_textStyleId

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), libvisio::VSDContentCollector::collectShape(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), and libvisio::VSDXMLParserBase::readShape().

## § m_themeRef

VSDOptionalThemeReference libvisio::VSDShape::m_themeRef

Referenced by clear(), and operator=().

## § m_txtxform

XForm* libvisio::VSDShape::m_txtxform

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSDXMLParserBase::readShape(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readTxtXForm(), and libvisio::VSDParser::readTxtXForm().

## § m_xform

XForm libvisio::VSDShape::m_xform

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), clear(), operator=(), libvisio::VSDXMLParserBase::readShape(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readXFormData(), and libvisio::VSDParser::readXFormData().

## § m_xform1d

XForm1D* libvisio::VSDShape::m_xform1d

Referenced by clear(), operator=(), libvisio::VSDXParser::readShapeProperties(), libvisio::VDXParser::readXForm1D(), and libvisio::VSDParser::readXForm1D().

The documentation for this class was generated from the following files:

- VSDStencils.h
- VSDStencils.cpp